Browse Source

cleaned up cross build for windows

tags/1.3
Sven Oliver Moll 1 year ago
parent
commit
53afcf860a
3 changed files with 10 additions and 13 deletions
  1. 5
    5
      Makefile
  2. 4
    7
      packaging/windows/build-cross.sh
  3. 1
    1
      packaging/windows/fridgegrid-cross.nsi

+ 5
- 5
Makefile View File

@@ -4,7 +4,7 @@ BUILDDIR = build
4 4
 
5 5
 all: release
6 6
 
7
-.PHONY: debug release
7
+.PHONY: debug release exe windows dmg macosx
8 8
 
9 9
 release: $(BUILDDIR)-release/Makefile
10 10
 	+make -C $(BUILDDIR)-release all
@@ -24,9 +24,9 @@ $(BUILDDIR)-release $(BUILDDIR)-debug:
24 24
 distclean clean:
25 25
 	rm -rf $(BUILDDIR)-release $(BUILDDIR)-debug
26 26
 
27
-exe:
28
-	(cd packaging/windows ; ./build-cross.sh)
27
+exe windows:
28
+	packaging/windows/build-cross.sh
29 29
 
30
-dmg:
31
-	(cd packaging/macosx ; ./build-app.sh)
30
+dmg macosx:
31
+	packaging/macosx/build-app.sh
32 32
 

+ 4
- 7
packaging/windows/build-cross.sh View File

@@ -1,23 +1,20 @@
1 1
 #!/bin/sh
2 2
 
3 3
 MINGW=/opt/mxe
4
-PLATFORM=i686-pc-mingw32
4
+PLATFORM=i686-w64-mingw32.static
5 5
 
6 6
 PACKAGINGDIR=../../build/packaging
7 7
 
8
-set -e
8
+set -ex
9 9
 
10 10
 export PATH=${PATH}:${MINGW}/usr/bin
11 11
 
12 12
 cd "$(dirname $0)"
13
-(cd ../..
14
-#rm -rf build
15
-#${PLATFORM}-qmake -r CONFIG+=debug_and_release
16
-MAKEFLAGS=-j4 make release QMAKE=${PLATFORM}-qmake)
13
+MAKEFLAGS=-j4 make -C ../.. release QMAKE=${PLATFORM}-qmake-qt5
17 14
 
18 15
 mkdir -p ${PACKAGINGDIR}
19 16
 
20
-for i in ../../build/release/bin/* ../../build/release/lib/*.dll; do
17
+for i in ../../build-release/bin/* ../../build-release/lib/*.dll; do
21 18
   if [ -f "${i}" ]; then
22 19
     INSTALLFILES="${INSTALLFILES} ${i}"
23 20
   fi

+ 1
- 1
packaging/windows/fridgegrid-cross.nsi View File

@@ -27,7 +27,7 @@ RequestExecutionLevel admin
27 27
 SetCompressor /SOLID lzma
28 28
 
29 29
 ; License to use
30
-LicenseData ..\..\LICENSE.GPL
30
+LicenseData ..\..\LICENSE.TXT
31 31
 
32 32
 ;--------------------------------
33 33
 

Loading…
Cancel
Save